divert(-1)
##
##  sendmail.m4 -- Sendmail 8.11 M4 Configuration
##  Copyright (c) 1996-2001 Ralf S. Engelschall <rse@engelschall.com>
##

dnl #  M4 bootstrapping.
include(`../m4/cf.m4')
VERSIONID(`@(#)sendmail.m4 OpenPKG')
OSTYPE(@l_ostype@)

dnl #  Local Parameters.
define(`confMYHOSTNAME',   `@l_hostname@')
define(`confMYDOMAINNAME', `@l_domainname@')
define(`confMYIPADDRESS',  `127.0.0.1')
define(`confMYUSR',        `@l_musr@')
define(`confMYGRP',        `@l_mgrp@')
define(`confMYPREFIX',     `@l_prefix@')
define(`confMYBINDIR',     `confMYPREFIX/bin')
define(`confMYLIBEXECDIR', `confMYPREFIX/libexec/sendmail')
define(`confMYETCDIR',     `confMYPREFIX/etc/sendmail')
define(`confMYVARDIR',     `confMYPREFIX/var/sendmail')

dnl #  Server details.
define(`confDOMAIN_NAME', `confMYHOSTNAME.confMYDOMAINNAME')
FEATURE(custom_listen)
define(`confDONT_PROBE_INTERFACES', `True')
define(`confDEF_USER_ID', `confMYUSR:confMYGRP')
define(`confLOG_LEVEL', `9')

dnl #  Security.
define(`confPRIVACY_FLAGS', `authwarnings,noexpn,novrfy,noverb')

dnl #  Performance tuning.
FEATURE(performance)

dnl #  Cosmetical customization.
FEATURE(custom_texts)

dnl #  Denial Of Service (DoS) prevention.
FEATURE(dos)

dnl #  External files.
define(`QUEUE_DIR',    `confMYVARDIR/mqueue')
define(`STATUS_FILE',  `confMYVARDIR/sendmail.stat')
define(`HELP_FILE',    `confMYETCDIR/sendmail.help')
define(`confHOST_STATUS_DIRECTORY', `.hoststat')
dnl #  User trusted for file ownership
define(`confTRUSTED_USER', `@l_musr@')

dnl #  Trusted Users.
dnl #  Those can use "sendmail -f<address>"
define(`confCT_FILE', `confMYETCDIR/l.user.trusted')
FEATURE(use_ct_file)

dnl #  Aliasing.
define(`confCW_FILE', `confMYETCDIR/l.ournames')
FEATURE(use_cw_file)
define(`ALIAS_FILE', `-f confMYETCDIR/t.aliases')
define(`confUSERDB_SPEC', `confMYETCDIR/t.user')

dnl #  Default Routing.
dnl #  LOCAL_RELAY applies to unqualifed user names
dnl #  MAIL_HUB    applies to user names qualified with the name of the local host 
dnl #  SMART_HOST  applies to user names qualified with other hosts.
dnl define(`LOCAL_RELAY', local:localhost)dnl
dnl define(`MAIL_HUB',    local:localhost)dnl
dnl define(`SMART_HOST',  smtpfeed:LMTP)dnl

dnl #  Manual Routing.
FEATURE(mailertable,   `hash -o confMYETCDIR/t.mailertable')
FEATURE(domaintable,   `hash -o confMYETCDIR/t.domaintable')
FEATURE(virtusertable, `hash -o confMYETCDIR/t.virtusertable')

dnl #  Relaying.
FEATURE(access_db, `hash -T<TMPF> confMYETCDIR/t.access')
FEATURE(blacklist_recipients)
undefine(`confCR_FILE')
dnl RELAY_DOMAIN(confMYDOMAINNAME)
dnl FEATURE(relay_entire_domain)
FL`'confMYETCDIR/l.user.local

dnl #  Forwarding.
define(`confFORWARD_PATH', `$z/.forward.$w:$z/.forward')
FEATURE(redirect)

dnl #  DNS black lists
dnl # enhdnsbl, zone, msg, msg-tmp, match, r1, r2, r3, r4, r5
dnl FEATURE(enhdnsbl, `dnsbl.example.com', `', `t', `127.0.0.2')

dnl #  Masquerading.
dnl #  Users where the internal site name will be displayed 
dnl #  instead of the masqueraded site name.
FE`'confMYETCDIR/l.user.exposed
dnl MASQUERADE_AS(confMYDOMAINNAME)dnl

dnl #  Domain Name Service (DNS).
dnl FEATURE(nodns)
FEATURE(nocanonify)
define(`confBIND_OPTS', `-DNSRCH -DEFNAMES')
FEATURE(accept_unresolvable_domains)

dnl #  Mailer: SMTP (standard delivery)
define(`confCON_EXPENSIVE', `true')
define(`SMTP_MAILER_FLAGS', `e')

dnl #  Mailer: SMTPfeed (mass delivery)
dnl define(`SMTPFEED_MAILER_ARGS', `-o confMYIPADDRESS')
dnl define(`SMTPFEED_MAILER_PATH', `confMYLIBEXECDIR/smtpfeed')

dnl #  Mailer: UUCP
dnl define(`UUCP_MAILER_PATH', `confMYBINDIR/uux')
dnl FEATURE(nouucp, nospecial)dnl # KEEP DNL!

dnl #  Mailer: Local & Procmail
define(`PROCMAIL_MAILER_PATH', `confMYBINDIR/procmail')
FEATURE(local_procmail)dnl # KEEP DNL!
define(`LOCAL_MAILER_FLAGS', `rmn9')
define(`confME_TOO', `true')

dnl include(`../../sendmail_with_tls.m4')
dnl include(`../../sendmail_with_sasl.m4')

MAILER(smtp)
dnl MAILER(smtpfeed)
dnl MAILER(uucp)
MAILER(local)
MAILER(procmail)

